/// <reference types="node" />
import { EventEmitter } from 'events';
export interface HardwareService {
    GetGpioBoards(): GpioBoard[];
    SetRunLed(v: boolean): void;
    GetTemperature(): number;
}
export declare class HwInput extends EventEmitter {
    private pin;
    private gpio;
    private value;
    constructor(pin: number);
    private set;
    getValue(): boolean;
    getPin(): number;
}
export declare class HwOutput extends EventEmitter {
    private pin;
    private gpio;
    private value;
    private test;
    constructor(pin: number);
    private set;
    setValue(value: boolean): Promise<void>;
    setTest(value: boolean): Promise<void>;
    getValue(): boolean;
    getPin(): number;
}
export declare class GpioBoard extends EventEmitter {
    inputs: HwInput[];
    outputs: HwOutput[];
    id: number;
    constructor(id: number, base: number, count: number);
}
export declare function GetHardwareService(): HardwareService;
